// SPDX-License-Identifier: (GPL-2.0-or-later OR MIT)
/*
 * Copyright (C) Telechips Inc.
 */

#ifndef __DT_TCC805X_CLKS_H__
#define __DT_TCC805X_CLKS_H__

#include "telechips,clk-common.h"

/* CLKCTRL channel index */
#define FBUS_CPU0		0UL	// Cortex-A53
#define FBUS_CPU1		1UL	// Cortex-A72
#define FBUS_CBUS		2UL	// CLKCTRL2
#define FBUS_CMBUS		3UL	// CLKCTRL3 (Cortex-M4)
#define FBUS_HSIO		6UL	// CLKCTRL6
#define FBUS_SMU		7UL	// CLKCTRL7
#define FBUS_DDI		9UL	// CLKCTRL9
#define FBUS_IO			11UL	// CLKCTRL11
#define FBUS_HSM		16UL
#define	FBUS_PCIe0		17UL
#define	FBUS_PCIe1		18UL

#define FBUS_GPU		19UL
#define FBUS_G2D		20UL
#define	FBUS_VBUS		21UL	// Dedicated Video Bus Clock
#define	FBUS_CODA		22UL	// Video CODA CCLK clock
#define FBUS_CHEVCDEC		23UL	// Video CHEVC Clock(WAVE512 CCLK)
#define FBUS_BHEVCDEC		24UL	// Video BHEVC Clock(WAVE512 BCLK)
#define	FBUS_CHEVCENC		25UL	// Video CHEVC Clock(WAVE420L CCLK)
#define	FBUS_BHEVCENC		26UL	// Video BHEVC Clock(WAVE420L BCLK)
#define	FBUS_MEM		27UL	// Dedicated Memory Bus core clock
#define	FBUS_MEM_SUB		28UL	// Memory Bus sub-system clock
#define	FBUS_MEM_PHY_USER	29UL	// LPDDR4X User clock
#define	FBUS_MEM_PHY_PERI	30UL	// LPDDR4X Peripheral clock
#define FBUS_MAX		31UL

#define CKC_REG_OFFSET(A)	(A/4UL)


/* Peripheral Clocks */
/* PCLK***CTRL register : starts from 0x14000000 + 0x400*/
#define PERI_SMU_BASE_OFFSET    0x0
#define PERI_DDIB_BASE_OFFSET   0x100
#define PERI_HSIOB_BASE_OFFSET  0x200
#define PERI_IOB_BASE_OFFSET    0x300
#define PERI_CMB_BASE_OFFSET    0x400
#define PERI_CPUB_BASE_OFFSET   0x500
#define PERI_EXT_BASE_OFFSET    0x600
#define PERI_HSMB_BASE_OFFSET   0x700

/* SMU Peri. */
#define PERI_TCX                0UL
#define PERI_TCT                1UL
#define PERI_TCZ                2UL

/* DDIB Peri. */
#define PERI_LCDTIMER           CKC_REG_OFFSET(PERI_DDIB_BASE_OFFSET)
#define PERI_LCD0               (CKC_REG_OFFSET(PERI_DDIB_BASE_OFFSET) + 1UL)
#define PERI_LCD1               (CKC_REG_OFFSET(PERI_DDIB_BASE_OFFSET) + 2UL)
#define PERI_LCD2               (CKC_REG_OFFSET(PERI_DDIB_BASE_OFFSET) + 3UL)
#define PERI_CPUINTERFACE0      (CKC_REG_OFFSET(PERI_DDIB_BASE_OFFSET) + 4UL)
#define PERI_CPUINTERFACE1      (CKC_REG_OFFSET(PERI_DDIB_BASE_OFFSET) + 5UL)
#define PERI_LCD3               (CKC_REG_OFFSET(PERI_DDIB_BASE_OFFSET) + 6UL)

/* HSB Peri. */
#define PERI_GMAC               CKC_REG_OFFSET(PERI_HSIOB_BASE_OFFSET)
#define PERI_GMAC_PTP           (CKC_REG_OFFSET(PERI_HSIOB_BASE_OFFSET) + 1UL)
#define PERI_PCIE0_AUX          (CKC_REG_OFFSET(PERI_HSIOB_BASE_OFFSET) + 2UL)
#define PERI_PCIE0_REF_EXT      (CKC_REG_OFFSET(PERI_HSIOB_BASE_OFFSET) + 3UL)
#define PERI_PCIE0_PHY_CR_CLK   (CKC_REG_OFFSET(PERI_HSIOB_BASE_OFFSET) + 4UL)
#define PERI_PCIE1_AUX          (CKC_REG_OFFSET(PERI_HSIOB_BASE_OFFSET) + 5UL)
#define PERI_PCIE1_REF_EXT      (CKC_REG_OFFSET(PERI_HSIOB_BASE_OFFSET) + 6UL)
#define PERI_PCIE1_PHY_CR_CLK   (CKC_REG_OFFSET(PERI_HSIOB_BASE_OFFSET) + 7UL)

/* IOB Peri. */
#define PERI_RMT                CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET)
#define PERI_GPSB3              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 1UL)
#define PERI_SDMMC1             (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 2UL)
#define PERI_SDMMC2             (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 3UL)
#define PERI_CEC1_CORE          (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 4UL)
#define PERI_MDAI0              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 5UL)
#define PERI_MFLT0_DAI          (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 6UL)
#define PERI_MSPDIF0            (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 7UL)
#define PERI_SRCH0_CORE         (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 8UL)
#define PERI_SRCH0_FILTER       (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 9UL)
#define PERI_SRCH0_SPDIF        (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 10UL)
#define PERI_PDM                (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 11UL)
#define PERI_CEC1_SFR           (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 12UL)
#define PERI_TSADC              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 13UL)
#define PERI_I2C0               (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 14UL)
#define PERI_I2C1               (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 15UL)
#define PERI_I2C2               (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 16UL)
#define PERI_I2C3               (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 17UL)
#define PERI_UART0              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 18UL)
#define PERI_UART1              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 19UL)
#define PERI_UART2              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 20UL)
#define PERI_UART3              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 21UL)
#define PERI_MDAI1              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 22UL)
#define PERI_MFLT1_DAI          (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 23UL)
#define PERI_MSPDIF1            (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 24UL)
#define PERI_MDAI2              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 25UL)
#define PERI_GPSB0              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 26UL)
#define PERI_GPSB1              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 27UL)
#define PERI_GPSB2              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 28UL)
#define PERI_GPSBMS0            (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 29UL)
#define PERI_GPSBMS1            (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 30UL)
#define PERI_GPSBMS2            (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 31UL)
#define PERI_UART4              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 32UL)
#define PERI_AUX0_INPUT         (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 33UL)
#define PERI_AUX1_INPUT         (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 34UL)
#define PERI_MFLT2_DAI          (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 36UL)
#define PERI_AUX0_OUTPUT        (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 37UL)
#define PERI_AUX1_OUTPUT        (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 38UL)
#define PERI_MSPDIF2            (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 39UL)
#define PERI_IC_TC              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 40UL)
#define PERI_SRCH1_CORE         (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 41UL)
#define PERI_SRCH1_FILTER       (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 42UL)
#define PERI_SRCH1_SPDIF        (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 43UL)
#define PERI_SRCH2_CORE         (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 44UL)
#define PERI_SRCH2_FILTER       (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 45UL)
#define PERI_SRCH2_SPDIF        (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 46UL)
#define PERI_SRCH3_CORE         (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 47UL)
#define PERI_SRCH3_FILTER       (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 48UL)
#define PERI_SRCH3_SPDIF        (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 49UL)
#define PERI_UART5              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 50UL)
#define PERI_UART6              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 51UL)
#define PERI_UART7              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 52UL)
#define PERI_UART8              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 53UL)
#define PERI_MDAI3              (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 54UL)
#define PERI_MFLT3_DAI          (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 55UL)
#define PERI_MSPDIF3            (CKC_REG_OFFSET(PERI_IOB_BASE_OFFSET) + 56UL)

/* CMB Peri. */
#define PERI_TSRX0              CKC_REG_OFFSET(PERI_CMB_BASE_OFFSET)
#define PERI_TSRX1              (CKC_REG_OFFSET(PERI_CMB_BASE_OFFSET) + 1UL)
#define PERI_TSRX2              (CKC_REG_OFFSET(PERI_CMB_BASE_OFFSET) + 2UL)
#define PERI_TSRX3              (CKC_REG_OFFSET(PERI_CMB_BASE_OFFSET) + 3UL)
#define PERI_TSRX4              (CKC_REG_OFFSET(PERI_CMB_BASE_OFFSET) + 4UL)
#define PERI_TSRX5              (CKC_REG_OFFSET(PERI_CMB_BASE_OFFSET) + 5UL)
#define PERI_TSRX6              (CKC_REG_OFFSET(PERI_CMB_BASE_OFFSET) + 6UL)
#define PERI_TSRX7              (CKC_REG_OFFSET(PERI_CMB_BASE_OFFSET) + 7UL)
#define PERI_TSRX8              (CKC_REG_OFFSET(PERI_CMB_BASE_OFFSET) + 8UL)

/* CB Peri. */
#define PERI_CB_WDT             CKC_REG_OFFSET(PERI_CPUB_BASE_OFFSET)
#define PERI_CB_RESERVED        (CKC_REG_OFFSET(PERI_CPUB_BASE_OFFSET) + 1UL)

/* External Peri. */
#define PERI_OUT0               CKC_REG_OFFSET(PERI_EXT_BASE_OFFSET)
#define PERI_OUT1               (CKC_REG_OFFSET(PERI_EXT_BASE_OFFSET) + 1UL)
#define PERI_OUT2               (CKC_REG_OFFSET(PERI_EXT_BASE_OFFSET) + 2UL)
#define PERI_OUT3               (CKC_REG_OFFSET(PERI_EXT_BASE_OFFSET) + 3UL)
#define PERI_OUT4               (CKC_REG_OFFSET(PERI_EXT_BASE_OFFSET) + 4UL)
#define PERI_OUT5               (CKC_REG_OFFSET(PERI_EXT_BASE_OFFSET) + 5UL)

/* HSMB Peri. */
#define PERI_HSMB               CKC_REG_OFFSET(PERI_HSMB_BASE_OFFSET)

// need to fix : used on 'clock_test()'
#define	PERI_MAX		114UL

/* I/O Bus pwdn/swreset */
#define	IOBUS_IC_TC		0UL
#define	IOBUS_RESERVED01	1UL
#define	IOBUS_GPSB6		2UL
#define	IOBUS_RESERVED03	3UL
#define	IOBUS_RESERVED04	4UL
#define	IOBUS_PL080		5UL
#define	IOBUS_ASRC		6UL
#define	IOBUS_DMA0		7UL
#define	IOBUS_DMA1		8UL
#define	IOBUS_DMA2		9UL
#define	IOBUS_DMA		10UL
#define	IOBUS_RESERVED11	11UL
#define	IOBUS_PWM		12UL
#define	IOBUS_RESERVED13	13UL
#define	IOBUS_I2C_S2		14UL
#define	IOBUS_RESERVED15	15UL
#define	IOBUS_REMOCON		16UL
#define	IOBUS_RESERVED17	17UL
#define	IOBUS_RESERVED18	18UL
#define	IOBUS_RESERVED19	19UL
#define	IOBUS_PRT		20UL
#define	IOBUS_ADMA0		21UL
#define	IOBUS_DAI0		22UL
#define	IOBUS_SPDIF0		23UL
#define	IOBUS_AUDIO0		24UL
#define	IOBUS_ADMA3		25UL
#define	IOBUS_DAI3		26UL
#define	IOBUS_SPDIF3		27UL
#define	IOBUS_AUDIO3		28UL
#define	IOBUS_I2C_M0		29UL
#define	IOBUS_I2C_M1		30UL
#define	IOBUS_I2C_M2		31UL

#define	IOBUS_I2C_M3		32UL	// 0
#define	IOBUS_I2C_S0		33UL	// 1
#define	IOBUS_I2C_S1		34UL	// 2
#define	IOBUS_I2C0		35UL	// 3
#define	IOBUS_I2C1		36UL	// 4
#define	IOBUS_RESERVED37	37UL	// 5
#define	IOBUS_RESERVED38	38UL	// 6
#define	IOBUS_RESERVED39	39UL	// 7
#define	IOBUS_RESERVED40	40UL	// 8
#define	IOBUS_RESERVED41	41UL	// 9
#define	IOBUS_RESERVED42	42UL	// 10
#define	IOBUS_RESERVED43	43UL	// 11
#define	IOBUS_RESERVED44	44UL	// 12
#define	IOBUS_RESERVED45	45UL	// 13
#define	IOBUS_RESERVED46	46UL	// 14
#define	IOBUS_RESERVED47	47UL	// 15
#define	IOBUS_RESERVED48	48UL	// 16
#define	IOBUS_GPSB_2		49UL	// 17
#define	IOBUS_RESERVED50	50UL	// 18
#define	IOBUS_GPSB0		51UL	// 19
#define	IOBUS_GPSB1		52UL	// 20
#define	IOBUS_GPSB2		53UL	// 21
#define	IOBUS_GPSB3		54UL	// 22
#define	IOBUS_GPSB4		55UL	// 23
#define	IOBUS_GPSB5		56UL	// 24
#define	IOBUS_GPSB		57UL	// 25
#define	IOBUS_RESERVED58	58UL	// 26
#define	IOBUS_I2C_S3		59UL	// 27
#define	IOBUS_I2C_M4		60UL	// 28
#define	IOBUS_I2C_M5		61UL	// 29
#define	IOBUS_I2C_M6		62UL	// 30
#define	IOBUS_I2C_M7		63UL	// 31

#define	IOBUS_UART0		64UL	// 0
#define	IOBUS_UART1		65UL	// 1
#define	IOBUS_UART2		66UL	// 2
#define	IOBUS_UART3		67UL	// 3
#define	IOBUS_UART4		68UL	// 4
#define	IOBUS_UART5		69UL	// 5
#define	IOBUS_UART6		70UL	// 6
#define	IOBUS_UART7		71UL	// 7
#define	IOBUS_UART8		72UL	// 8
#define	IOBUS_RESERVED73	73UL	// 9
#define	IOBUS_RESERVED74	74UL	// 10
#define	IOBUS_RESERVED75	75UL	// 11
#define	IOBUS_SMARTCARD4	76UL	// 12
#define	IOBUS_RESERVED77	77UL	// 13
#define	IOBUS_RESERVED78	78UL	// 14
#define	IOBUS_RESERVED79	79UL	// 15
#define	IOBUS_UDMA0		80UL	// 16
#define	IOBUS_UDMA1		81UL	// 17
#define	IOBUS_UDMA2		82UL	// 18
#define	IOBUS_UDMA3		83UL	// 19
#define	IOBUS_UART_SMARTCARD0	84UL	// 20
#define	IOBUS_UART_SMARTCARD1	85UL	// 21
#define	IOBUS_UDMA4		86UL	// 22
#define	IOBUS_UDMA5		87UL	// 23
#define	IOBUS_UDMA6		88UL	// 24
#define	IOBUS_UDMA7		89UL	// 25
#define	IOBUS_UDMA8		90UL	// 26
#define	IOBUS_RESERVED91	91UL	// 27
#define	IOBUS_RESERVED92	92UL	// 28
#define	IOBUS_RESERVED93	93UL	// 29
#define	IOBUS_RESERVED94	94UL	// 30
#define	IOBUS_RESERVED95	95UL	// 31

#define	IOBUS_ADMA1		96UL	// 0
#define	IOBUS_DAI1		97UL	// 1
#define	IOBUS_SPDIF1		98UL	// 2
#define	IOBUS_AUDIO1		99UL	// 3
#define	IOBUS_ADMA2		100UL	// 4
#define	IOBUS_DAI2		101UL	// 5
#define	IOBUS_SPDIF2		102UL	// 6
#define	IOBUS_AUDIO2		103UL	// 7
#define	IOBUS_ADMA4		104UL	// 8
#define	IOBUS_DAI4		105UL	// 9
#define	IOBUS_SPDIF4		106UL	// 10
#define	IOBUS_AUDIO4		107UL	// 11
#define	IOBUS_ADMA5		108UL	// 12
#define	IOBUS_DAI5		109UL	// 13
#define	IOBUS_SPDIF5		110UL	// 14
#define	IOBUS_AUDIO5		111UL	// 15
#define	IOBUS_ADMA6		112UL	// 16
#define	IOBUS_DAI6		113UL	// 17
#define	IOBUS_SPDIF6		114UL	// 18
#define	IOBUS_AUDIO6		115UL	// 19
#define	IOBUS_ADMA7		116UL	// 20
#define IOBUS_DAI7		117UL	// 21
#define IOBUS_RESERVED118	118UL	// 22
#define	IOBUS_AUDIO7		119UL	// 23

#define IOBUS_GDMA1             128UL     //  0
#define IOBUS_RESERVED129       129UL     //  1
#define IOBUS_RESERVED130       130UL     //  2
#define IOBUS_SDMMC1            131UL     //  3
#define IOBUS_SDMMC2            132UL     //  4
#define IOBUS_SDMMC             133UL     //  5
#define IOBUS_SMC               134UL     //  6
#define IOBUS_NFC               135UL     //  7
#define IOBUS_EDICFG            136UL     //  8
#define IOBUS_EDI               137UL     //  9
#define IOBUS_RTC               138UL     // 10

#define	IOBUS_MAX		139UL

/* Display Bus pwdn/swreset */
#define DDIBUS_VIOC		0UL
#define DDIBUS_HDMI		2UL
#define DDIBUS_MIPI		4UL
#define DDIBUS_LVDS		5UL
#define DDIBUS_MAX		16UL

/* Video Bus pwdn/swreset */
#define VIDEOBUS_JPEG           0UL
#define VIDEOBUS_CODA_BUS       1UL
#define VIDEOBUS_CODA_CORE      2UL
#define VIDEOBUS_HEVC_BUS       3UL
#define VIDEOBUS_HEVC_CORE      4UL
#define VIDEOBUS_HEVC_ENCODER   5UL
#define VIDEOBUS_MAX            6UL

/* High-Speed I/O Bus pwdn/swreset */
#define HSIOBUS_USB30		0UL
#define HSIOBUS_RESERVED01	1UL
#define HSIOBUS_GMAC		2UL
#define HSIOBUS_RESERVED03	3UL
#define HSIOBUS_RESERVED04	4UL
#define HSIOBUS_HSIC		5UL
#define HSIOBUS_USB20H		6UL
#define HSIOBUS_RESERVED07	7UL
#define HSIOBUS_RESERVED08	8UL
#define HSIOBUS_RESERVED09	9UL
#define HSIOBUS_RESERVED10	10UL
#define HSIOBUS_RESERVED11	11UL
#define HSIOBUS_RESERVED12	12UL
#define HSIOBUS_RESERVED13	13UL
#define HSIOBUS_RESERVED14	14UL
#define HSIOBUS_RESERVED15	15UL
#define HSIOBUS_RESERVED16	16UL
#define HSIOBUS_RESERVED17	17UL
#define HSIOBUS_CIPHER		18UL
#define HSIOBUS_DWC_OTG		19UL
#define HSIOBUS_RESERVED20	20UL
#define HSIOBUS_SECURE_WRAP	21UL
#define HSIOBUS_TRNG		22UL
#define HSIOBUS_RESERVED23	23UL
#define HSIOBUS_RESERVED24	24UL
#define HSIOBUS_RESERVED25	25UL
#define HSIOBUS_RESERVED26	26UL
#define HSIOBUS_RESERVED27	27UL
#define HSIOBUS_RESERVED28	28UL
#define HSIOBUS_RESERVED29	29UL
#define HSIOBUS_RESERVED30	30UL
#define HSIOBUS_RESERVED31	31UL
#define HSIOBUS_MAX		32UL

/* CPU Bus pwdn/swreset */
#define CPUBUS_WDT0             0UL
#define CPUBUS_WDT1             1UL
#define CPUBUS_WDT2             2UL
#define CPUBUS_WDT3             3UL
#define CPUBUS_WDT4             4UL
#define CPUBUS_CBUSCFG          6UL
#define CPUBUS_MB2DAP           7UL
#define CPUBUS_DAP              8UL
#define CPUBUS_DAPCFG           9UL
#define CPUBUS_DAP2MB           10UL
#define CPUBUS_MB2CB            11UL
#define CPUBUS_AHBMUX           12UL
#define CPUBUS_APBIF            13UL
#define CPUBUS_CA72H2H          14UL
#define CPUBUS_CA53H2H          16UL
#define CPUBUS_GIC0_H2X         18UL
#define CPUBUS_GIC0             19UL
#define CPUBUS_MBOX             20UL
#define CPUBUS_WDT5             22UL
#define CPUBUS_WDT6             23UL
#define CPUBUS_WDT7             24UL
#define CPUBUS_DAPNIC           25UL
#define CPUBUS_SJTAG            26UL
#define CPUBUS_GIC1_H2X         27UL
#define CPUBUS_GIC1             28UL
#define CPUBUS_MAX              29UL

#endif
